Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.replicator
Class AcknowledgmentCollector

    java.lang.Object
      org.jboss.messaging.core.distributed.replicator.AcknowledgmentCollector

All Implemented Interfaces:
  org.jboss.messaging.core.distributed.replicator.AcknowledgmentCollectorFacade, ServerFacade

public class AcknowledgmentCollector
extends java.lang.Object
implements org.jboss.messaging.core.distributed.replicator.AcknowledgmentCollectorFacade

TODO: thread safety, synchronize. Right now is wide open.

Version:
  `$Revision: 1.10 $` $Id: AcknowledgmentCollector.java,v 1.10 2006/03/07 17:11:15 timfox Exp $
Author:
  Ovidiu Feodorov

Nested Class Summary
`protected class` | `AcknowledgmentCollector.CollectorMessageListener`

Field Summary
`protected MessageListener` | `collectorMessageListener`
`protected java.util.Map` | `deliveries`
`static int` | `DELIVERY_RETRIES`
`protected RpcDispatcher` | `dispatcher`
`protected java.io.Serializable` | `groupID`
`protected java.io.Serializable` | `id`

Constructor Summary
`AcknowledgmentCollector(java.io.Serializable groupID, java.io.Serializable id, RpcDispatcher dispatcher)`

Method Summary
`void` | `acknowledge(PeerIdentity originator, java.io.Serializable messageID)`
`void` | `cancel(PeerIdentity originator, java.io.Serializable messageID)`
`java.io.Serializable` | `getID()` Return the ID under which server object is registered with the RpcServer.
`void` | `remove(java.util.Set dels)`
`void` | `start()`
`void` | `startCollecting(java.util.Set dels)`
`void` | `stop()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELIVERY_RETRIES

    public static final int DELIVERY_RETRIES

See Also:
  Constant Field Values

### id

    protected java.io.Serializable id

### groupID

    protected java.io.Serializable groupID

### dispatcher

    protected RpcDispatcher dispatcher

### collectorMessageListener

    protected MessageListener collectorMessageListener

### deliveries

    protected java.util.Map deliveries

Constructor Detail

### AcknowledgmentCollector

    public AcknowledgmentCollector(java.io.Serializable groupID,
                                   java.io.Serializable id,
                                   RpcDispatcher dispatcher)

Method Detail

### getID

    public java.io.Serializable getID()

  Description copied from interface: `ServerFacade`
  Return the ID under which server object is registered with the RpcServer.

  Specified by:
    `getID` in interface `ServerFacade`

### acknowledge

    public void acknowledge(PeerIdentity originator,
                            java.io.Serializable messageID)

  Specified by:
    `acknowledge` in interface `org.jboss.messaging.core.distributed.replicator.AcknowledgmentCollectorFacade`

### cancel

    public void cancel(PeerIdentity originator,
                       java.io.Serializable messageID)

  Specified by:
    `cancel` in interface `org.jboss.messaging.core.distributed.replicator.AcknowledgmentCollectorFacade`

### start

    public void start()

### stop

    public void stop()

### startCollecting

    public void startCollecting(java.util.Set dels)

  Parameters:
    `dels` - - Set.

### remove

    public void remove(java.util.Set dels)

  Parameters:
    `dels` - - Set.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.